<?php

namespace AutoAdmin\Bundle\Cache\Entity;

use AutoAdmin\Bundle\Content\Entity\AbstractUntranslated;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: "AutoAdmin\Bundle\Cache\Repository\CacheLogRepository")]
class CacheLog extends AbstractUntranslated
{
    #[ORM\Column(name: "trigger_type", type: Types::STRING, length: 20)]
    private string $trigger_type;

    #[ORM\Column(type: Types::STRING, length: 255)]
    private string $trigger_class;

    public function getTriggerType(): string
    {
        return $this->trigger_type;
    }

    public function setTriggerType(string $trigger_type): self
    {
        $this->trigger_type = $trigger_type;

        return $this;
    }

    public function getTriggerClass(): string
    {
        return $this->trigger_class;
    }

    public function setTriggerClass(string $trigger_class): self
    {
        $this->trigger_class = $trigger_class;

        return $this;
    }
}
